﻿.my-style {
    color: black;
    transition: color 0.3s;
}

    .my-style:hover {
        color: red;
    }

.spotlight-card {
    position: relative;
    width: 1200px;
    height: 628px;
    border-radius: 20px;
    overflow: hidden;
    cursor: pointer;
}

    /*Image*/
    .spotlight-card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: transform 0.6s ease;
    }

    .spotlight-card::before {
        content: "";
        position: absolute;
        inset: 0;
        background: linear-gradient( to bottom, rgba(0,0,0,0) 50%, rgba(0,0,0,0.7) 100% );
        z-index: 1;
    }


    /*SPotlight overlay*/
    .spotlight-card::after {
        content: "";
        position: absolute;
        inset: 0;
        background: radial-gradient( circle at center, rgba(0,0,0,0) 30%, rgba(0,0,0,0.75) 85%);
        opacity: 0;
        transition: opacity 0.5s ease;
        z-index: 2;
    }

.info {
    position: absolute;
    bottom: 25px;
    left: 24px;
    color: #fff;
    opacity: 0;
    transform: translateY(15px);
    transition: 0.4s ease;
    z-index: 3;
}

    .info h3 {
        margin: 0;
        font-size: 22px;
    }

    .info span {
        font-size: 14px;
        opacity: 0.85;
    }

/*Hover effects*/
.spotlight-card:hover img {
    transform: scale(1.08);
}

.spotlight-card:hover::after {
    opacity: 1;
}

.spotlight-card:hover .info {
    opacity: 1;
    transform: translateY(0);
}

/*-------*/
.with-image-gradient {
    position: relative;
    width: 1200px;
    height: 628px;
    border-radius: 20px;
    overflow: hidden;
}

    .with-image-gradient img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }

    .with-image-gradient::after {
        content: "";
        position: absolute;
        inset: 0;
        background: linear-gradient( to bottom, rgba(0,0,0,0) 50%, rgba(0,0,0,0.35) 75%, rgba(0,0,0,0.7) 100%);
    }

.soft-card {
    border-radius: 20px;
    background: #1f1f1f;
    box-shadow: 0 10px 30px rgba(0,0,0,0.45), inset 0 1px 0 rgba(255,255,255,0.04);
    transition: transform 0.35s ease, box-shadow 0.35s ease;
}

    .soft-card:hover {
        /*transform: translateY(-1px);*/
        box-shadow: 0 15px 50px rgba(0,0,0,0.50);
    }

.soft-card-hover {
    border-radius: 20px;
    background: #1f1f1f;
    box-shadow: 0 10px 30px rgba(0,0,0,0.45), inset 0 1px 0 rgba(255,255,255,0.04);
    transition: transform 0.35s ease, box-shadow 0.35s ease;
}

    .soft-card-hover:hover {
        transform: translateY(-1px);
        box-shadow: 0 30px 70px rgba(0,0,0,0.55);
    }